> ## Documentation Index
> Fetch the complete documentation index at: https://developers.partoo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Place Action Links

> Retrieve a list of place action links for a given business_id.  Only the available gmb_id links for the business are returned in the GET request.  Additionally, the business must be connected to a Google location.  For more details, refer to the [Partner Connection](https://app.partoo.co/settings/platforms/connection) page.




## OpenAPI

````yaml /assets/openapi/openapi-bundled.yaml get /business/{business_id}/place_action_links
openapi: 3.1.0
info:
  title: Partoo Rest API
  version: v2
  license:
    name: © Copyright Partoo
    url: https://www.partoo.co/en/gtu-api/
  x-logo:
    url: >-
      https://partoo-client-images.s3.amazonaws.com/logo-partoo-restapi-white.png
  description: >
    ## Introduction

    The Partoo Rest API allows you to automate all the actions that are possible
    to do in the Partoo Web Application.


    The Partoo Rest API can be used for many different purposes:
      - Create/update/delete your businesses & users if you are a client.
      - Create/subscribe/manage organizations, businesses & users if you are a reseller.
      - Retrieve data on businesses you have access to if you are a publisher.
      - ...
servers:
  - url: https://api.partoo.co/v2
    description: Production server
  - url: https://api.sandbox.partoo.co/v2
    description: Sandbox server (dev environment for clients & partners)
security:
  - ApiKeyAuth: []
paths:
  /business/{business_id}/place_action_links:
    get:
      tags:
        - Businesses
      summary: Get Place Action Links
      description: >
        Retrieve a list of place action links for a given business_id.  Only the
        available gmb_id links for the business are returned in the GET
        request.  Additionally, the business must be connected to a Google
        location.  For more details, refer to the [Partner
        Connection](https://app.partoo.co/settings/platforms/connection) page.
      operationId: getPlaceActionLinks
      parameters:
        - $ref: '#/components/parameters/business_id'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlaceActionLinksResponse'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
components:
  parameters:
    business_id:
      in: path
      name: business_id
      required: true
      schema:
        type: string
      description: >
        Business id.      


        It may be replaced by `c-{code}` where code is the store code, which
        should be unique per organization. This can be used only for
        `ORG_ADMIN`, `GROUP_MANAGER` and `BUSINESS_MANAGER` users.
  schemas:
    PlaceActionLinksResponse:
      type: object
      properties:
        place_action_links:
          $ref: '#/components/schemas/PlaceActionLinks.Array'
    PlaceActionLinks.Array:
      description: List of Business Place Action Links
      type: array
      items:
        type: object
        properties:
          gmb_id:
            type: string
            description: The Google My Business ID for the place action type.
            enum:
              - APPOINTMENT
              - ONLINE_APPOINTMENT
              - DINING_RESERVATION
              - FOOD_ORDERING
              - FOOD_DELIVERY
              - FOOD_TAKEOUT
              - SHOP_ONLINE
          urls:
            type: array
            description: List of place action links associated with a given gmb_id.
            items:
              type: object
              properties:
                id:
                  type: integer
                  description: Id for link
                value:
                  type: string
                  description: >-
                    Must be a valid url value and be unique within the list of
                    URLs for this gmb_id.
                is_preferred:
                  type: boolean
                  description: >-
                    Indicates if this URL is the preferred link. There can only
                    be one preferred URL per gmb_id.
                is_editable:
                  type: boolean
                  description: Indicates if this URL is editable.
      example:
        - gmb_id: SHOP_ONLINE
          urls:
            - id: 1
              value: https://www.example.com/shop_online
              is_preferred: true
              is_editable: true
            - id: 2
              value: https://www.example.com/shop_online2
              is_preferred: false
              is_editable: true
        - gmb_id: FOOD_TAKEOUT
          urls:
            - id: 3
              value: https://www.example.com/food_takeout1
              is_preferred: false
              is_editable: false
            - id: 4
              value: https://www.example.com/food_takeout2
              is_preferred: false
              is_editable: true
            - id: 5
              value: https://www.example.com/food_takeout3
              is_preferred: false
              is_editable: true
        - gmb_id: ONLINE_APPOINTMENT
          urls:
            - id: 6
              value: https://www.example.com/online_appointment
              is_preferred: true
              is_editable: true
            - id: 7
              value: https://www.example.com/online_appointment2
              is_preferred: false
              is_editable: true
        - gmb_id: DINING_RESERVATION
          urls:
            - id: 8
              value: https://www.example.com/dining_reservation1
              is_preferred: true
              is_editable: false
            - id: 9
              value: https://www.example.com/dining_reservation2
              is_preferred: false
              is_editable: true
        - gmb_id: APPOINTMENT
          urls:
            - id: 10
              value: https://www.example.com/appointment1
              is_preferred: true
              is_editable: true
            - id: 11
              value: https://www.example.com/appointment2
              is_preferred: false
              is_editable: true
        - gmb_id: FOOD_ORDERING
          urls:
            - id: 12
              value: https://www.example.com/food_ordering1
              is_preferred: true
              is_editable: true
            - id: 13
              value: https://www.example.com/food_ordering2
              is_preferred: false
              is_editable: true
        - gmb_id: FOOD_DELIVERY
          urls: []
  responses:
    '401':
      description: You are not authenticated
      content:
        application/json:
          schema:
            description: Error that occurs when you are not authenticated
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authentication:
                    type: string
                    default: User not authenticated
    '403':
      description: |
        You are not allowed to perform this action
      content:
        application/json:
          schema:
            description: >
              Error that occurs when you are authenticated but you are trying to
              perform an action you are not allowed to perform
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authorization:
                    type: string
                    default: Operation not allowed
    '404':
      description: Resource does not exist
      content:
        application/json:
          schema:
            description: >-
              Error that occcurs when you are trying to reach a resource that
              does not exist
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  json:
                    type: string
                    default: Resource not found
  securitySchemes:
    ApiKeyAuth:
      description: >
        The authentication system on Partoo API is using API Key that should be
        put in the header of the request (the name of the header is `x-APIKey`).
        An api_key is linked to a user. This user's role will give you different
        access level to the API features.
      type: apiKey
      in: header
      name: x-APIKey

````